/* theme color */
$--color-primary: #06484e;

/* icon font path, required */
$--font-path: '~element-ui/lib/theme-chalk/fonts';

@import "../../../node_modules/element-ui/packages/theme-chalk/src/index";

.bg-blue {
  background: $--color-primary;
}

.bg-danger {
  background: $--color-danger !important;
  color: #ffffff;
}

.typo-Arial {
  font-family: 'Arial';
}

.el-menu, .wrapper, body, html {
  height: 100%;
}

.el-table td {
  padding: 6px 0;
}

.margin-top-0 {
  margin-top: 0;
}

.margin-bottom-0 {
  margin-bottom: 0;
}

.margin-left-0 {
  margin-left: 0 !important;
}

.margin-left-5 {
  margin-left: 5px !important;
}

.margin-bottom-5 {
  margin-bottom: 5px !important;
}

.margin-top-10 {
  margin-top: 10px !important;
}

.margin-bottom-15 {
  margin-bottom: 15px;
}

.margin-bottom-20 {
  margin-bottom: 20px;
}

.margin-top-20 {
  margin-top: 20px;
}

.el-pagination {
  text-align: center;
}

.search .el-date-editor {
  width: 100% !important;
  min-width: 270px !important;
}

.search thead tr:first-child th, .search thead tr:first-child th div.el-input, .search thead tr:first-child th div.el-select {
  padding: 3px 0;
}

.icon-warning-color {
  color: #ff861f;
}

.text-bold {
  font-weight: bold;
  color: black;
}

.text-placeholder {
  color: #C0C4CC;
}

.el-form-item__switch {
  float: none;
  display: inline-block;
  text-align: left;
}

.w--100 {
  width: 100%;
}

.popover__container {
  display: flex;
  align-items: center;
  margin-bottom: 10px;
}

.el-popover, .el-table .cell {
  word-break: break-word;
}

.el-form-item__label {
  display: flex;
  flex-direction: row-reverse;
  line-height: 30px;
}

.el-form-item.is-required:not(.is-no-asterisk) > .el-form-item__label:before,
.el-form-item.is-required:not(.is-no-asterisk) .el-form-item__label-wrap > .el-form-item__label:before {
  margin-right: 0;
  margin-left: 5px;
}

.el-table.header-custom table th.el-table__cell {
  background-color: #f5f7fa;
  line-height: 3em;
}

.hr-line {
  width: 100%;
  height: 0;
  border-top: 1px solid #eee;
}

.events-disabled {
  pointer-events: none;
}

.el-input__count-inner.is-disabled {
  background-color: #F5F7FA !important;
  cursor: not-allowed;
}

div.el-col.page-name {
  line-height: 40px;
  color: gray;
  font-weight: bold;
}

.el-message-box .el-message-box__btns {
  display: flex;
  flex-direction: row-reverse;
  justify-content: right;
}

.el-message-box__btns button:nth-child(2) {
  margin-left: 0;
  margin-right: 10px;
}
